Skip to main content

Start migration with REST API

Flexify migrations can be started with REST API. Flexify API key can be requested via Flexify Support.

Below is an example of curl command that starts a migration.

curl --location --request POST 'https://api.flexify.io/migrations' \
--header 'Authorization: Bearer <your API key>' \
--header 'Content-Type: application/json' \
--data-raw '{
"settings": {
"name": "Migration via REST API",
"migrationMode": "COPY",
"comparisonMethod": "AUTO",
"conflictResolution": "NEWER",
"existingDataInDestination": "KEEP",
"skipIfHashMatches": true,
"maxEngines": 2,
"maxStreams": 100,
"dryRun": false
},
"mappings": [
{
"sourceStorageAccountId": 1234,
"sourceBucketName": "src-bucket-name",
"keyRemovePrefix": "src-prefix/",
"destStorageAccountId": 4567,
"destBucketName": "dst-bucket-name",
"keyAddPrefix": null
},
{
"sourceStorageAccountId": 1234,
"sourceBucketName": "src-bucket-name2",
"keyRemovePrefix": null,
"destStorageAccountId": 456,
"destBucketName": "dst-bucket-name2",
"keyAddPrefix": null
}
]
}'

The migration status can be checked via GET https://api.flexify.io/migrations.